<?php include("style.php"); 
if($_SESSION["smartshipcloud-login-id"]=="" or $ausgabelogin[admin]!="1"){
	die('<meta http-equiv="refresh" content="0; url=index.php">');
} else {
	if($_GET[id]==""){
		echo'
			<div style="width:100%;overflow-x:hidden;">
				<div class="animated bounceInLeft" style="width:20%;float:left;" align="center">
					<br><br>';
					if($_POST["func"]=="addNutzer"){
						$salt = '983je7usl923nslk890233jdiskdj9e';
						$passwort = sha1(md5($_POST["pw"]) . $salt . sha1($salt . $_POST["pw"]));
						$nn = htmlentities($_POST["nn"]);
						if($_POST["nn"]=="" or $_POST["pw"]=="" or $_POST["firma"]=="" or $_POST["vorname"]=="" or $_POST["nachname"]=="" or $_POST["mail"]=="" or $_POST["adresse"]==""){
							echo'<b style="color:red;">Fehler! Nicht alle Felder ausgef&uuml;llt</b><br>';
						} else {
							$adresse = str_replace("\n","<br>",$_POST["adresse"]);
							$adresse = htmlentities($adresse);
							$adresse = str_replace("&lt;br&gt;","<br>",$adresse);
							$nummern = $_POST["nummern"];
							$statement = $pdo->prepare('INSERT INTO smartshipcloud_login (nutzername, passwort, firma, vorname, nachname, mail, adresse, nummern, info) VALUES ("'.$nn.'","'.$passwort.'","'.htmlentities($_POST["firma"]).'","'.htmlentities($_POST["vorname"]).'","'.htmlentities($_POST["nachname"]).'","'.$_POST["mail"].'","'.$adresse.'","'.$nummern.'","1. Passwort: '.$_POST["pw"].'")');
							$statement->execute(array());  
							die('<meta http-equiv="refresh" content="0; url=admin_nutzer.php">');
						}
					}
					echo'
					<form method="post" action="admin_nutzer.php">
					<input type="hidden" name="func" value="addNutzer">
					<input type="text" name="nn" maxlength="15" placeholder="Nutzername" style="width:80%;"><br>
					<input type="password" name="pw" placeholder="Passwort" style="width:80%;"><br><br>
					<input type="text" name="firma" placeholder="Firma" style="width:80%;"><br>
					<input type="text" name="vorname" placeholder="Vorname" style="width:40%;"><input type="text" name="nachname" placeholder="Nachname" style="width:40%;"><br>
					<input type="text" name="mail" placeholder="E-Mail" style="width:80%;"><br>
					<textarea rows="1" name="adresse" placeholder="Adresse" style="width:80%;"></textarea><br><br>
					<select name="nummern">
						<option value="50">50 Sendungen pro Monat</option>
						<option value="100">100 Sendungen pro Monat</option>
						<option value="300">300 Sendungen pro Monat</option>
						<option value="0">&infin; Sendungen pro Monat</option>
					</select><br>
					<br>
					<input type="submit" class="button" style="font-weight:bold;" value="Kunde hinzuf&uuml;gen">
					</form>
				</div>
			
				<div class="animated bounceInRight" style="width:80%;float:right;">
					<br>
					<form method="get" action="admin_nutzer.php">
					<input type="text" name="search" placeholder="Name/Firma/Adresse/..." style="width:300px;text-align:center;" value="'.$_GET[search].'"><input type="submit" class="button" value="suchen" style="font-weight:bold;background-color:#008369;border:solid white 1px;">
					</form><br>
					<table align="center" cellpadding="10px">
					<tr>
					<td><b style="cursor:pointer;" onclick="window.location.href=\'?order=nutzername&orderdir='; if($_GET[order]=="nutzername" and $_GET[orderdir]=="ASC"){echo'DESC';}else{echo'ASC';} echo'\'">Nutzername'; if($_GET[order]=="nutzername" or $_GET[order]==""){if($_GET[orderdir]=="ASC" or $_GET[orderdir]==""){echo'&#8595;';}else{echo'&#8593;';}} echo'</b></td>
					<td><b style="cursor:pointer;" onclick="window.location.href=\'?order=firma&orderdir='; if($_GET[order]=="firma" and $_GET[orderdir]=="ASC"){echo'DESC';}else{echo'ASC';} echo'\'">Firma'; if($_GET[order]=="firma"){if($_GET[orderdir]=="ASC"){echo'&#8595;';}else{echo'&#8593;';}} echo'</b></td>
					<td><b style="cursor:pointer;" onclick="window.location.href=\'?order=nachname&orderdir='; if($_GET[order]=="nachname" and $_GET[orderdir]=="ASC"){echo'DESC';}else{echo'ASC';} echo'\'">Name, Vorname'; if($_GET[order]=="nachname"){if($_GET[orderdir]=="ASC"){echo'&#8595;';}else{echo'&#8593;';}} echo'</b></td>
					<td><b style="cursor:pointer;" onclick="window.location.href=\'?order=adresse&orderdir='; if($_GET[order]=="adresse" and $_GET[orderdir]=="ASC"){echo'DESC';}else{echo'ASC';} echo'\'">Adresse'; if($_GET[order]=="adresse"){if($_GET[orderdir]=="ASC"){echo'&#8595;';}else{echo'&#8593;';}} echo'</b></td>
					<td><b style="cursor:pointer;" onclick="window.location.href=\'?order=nummern&orderdir='; if($_GET[order]=="nummern" and $_GET[orderdir]=="ASC"){echo'DESC';}else{echo'ASC';} echo'\'">verf&uuml;gbare Nummern<br>diesen Monat'; if($_GET[order]=="nummern"){if($_GET[orderdir]=="ASC"){echo'&#8595;';}else{echo'&#8593;';}} echo'</b></td>
					<td><b></b></td>
					<td><b style="cursor:pointer;" onclick="window.location.href=\'?order=aktiviert&orderdir='; if($_GET[order]=="aktiviert" and $_GET[orderdir]=="ASC"){echo'DESC';}else{echo'ASC';} echo'\'">Aktiv: '; if($_GET[order]=="aktiviert"){if($_GET[orderdir]=="ASC"){echo'&#8595;';}else{echo'&#8593;';}} echo'</b></td>
					</tr>
					';
					$suche = "";
					if($_GET[search]!=""){
						$suche = 'WHERE (nutzername LIKE "%'.$_GET[search].'%" OR firma LIKE "%'.$_GET[search].'%" OR vorname LIKE "%'.$_GET[search].'%" OR nachname LIKE "%'.$_GET[search].'%" OR adresse LIKE "%'.$_GET[search].'%")';
						echo'<b>Filter:</b> suche nach <i>'.$_GET[search].'</i>';
					}
					if($_GET[order]==""){$order = "aktiviert,nutzername";}else{$order = $_GET[order];}
					if($_GET[order]==""){$orderdir = "ASC";}else{$orderdir = $_GET[orderdir];}
					$sql = 'SELECT * FROM smartshipcloud_login '.$suche.' ORDER BY '.$order.' '.$orderdir.'';
					foreach ($pdo->query($sql) as $ausgabe) {
						echo'
							<tr valign="top" '; if($ausgabe[aktiviert]!="1"){echo'style="background-color:rgba(255,0,0,0.1);"';} echo'>
							<td><a class="link" href="admin_nutzer.php?id='.$ausgabe[id].'">'.$ausgabe[nutzername].'</a></td>
							<td>'.$ausgabe[firma].'</td>
							<td>'.$ausgabe[nachname].', '.$ausgabe[vorname].'</td>
							<td>'.$ausgabe[adresse].'</td>
							<td align="center">';
							$anzahlNummern = 0;
							$sql2 = 'SELECT * FROM smartshipcloud_tn WHERE id_login="'.$ausgabe[id].'" AND monat="'.date("m-Y").'"';
							foreach ($pdo->query($sql2) as $ausgabe2) {
								$anzahlNummern = $anzahlNummern + 1;
							}
							echo''.$anzahlNummern.'/';
							if($ausgabe[nummern]==0){
								echo'<b>&infin;</b>';
							} else {
								echo '<b>'.$ausgabe[nummern].'</b>';
							}
							echo'</td>
							<td align="center">'; if($ausgabe[admin]=="1"){echo'<b style="color:#ffb500;">admin</b>';} echo'</td>
							<td align="center">'; if($ausgabe[aktiviert]=="1"){echo'<b style="color:green;">&#10003;</b>';}else{echo'<b style="color:red;">&#10008;</b>';} echo'</td>
							</tr>
						';
					}
					echo'
					</table>
				</div>
			</div>
		';
	} else {
		$sql = 'SELECT * FROM smartshipcloud_login WHERE id="'.$_GET[id].'"';
		foreach ($pdo->query($sql) as $ausgabe) {
			echo'
				<div style="width:100%;overflow-x:hidden;">
				<div '; if($_GET[animate]!=""){echo'class="animated fadeIn"';}else{echo'class="animated bounceInRight"';} echo'>
					';
						if($_POST["func"]=="editNummern"){
							$statement = $pdo->prepare('UPDATE smartshipcloud_login SET nummern = "'.$_POST["nummern"].'" WHERE id="'.$_GET[id].'"');
							$statement->execute(array());
							die('<meta http-equiv="refresh" content="0; url=?id='.$_GET[id].'&animate=clear">');
						}
						if($_POST["func"]=="editNN"){
							if($_POST["newnn"]!=""){
								$statement = $pdo->prepare('UPDATE smartshipcloud_login SET nutzername = "'.htmlentities($_POST["newnn"]).'" WHERE id="'.$_GET[id].'"');
								$statement->execute(array());
							}
							die('<meta http-equiv="refresh" content="0; url=?id='.$_GET[id].'&animate=clear">');
						}
						if($_GET[func]=="DeAktivieren"){
							$statement = $pdo->prepare('UPDATE smartshipcloud_login SET aktiviert = "'.$_GET[value].'" WHERE id="'.$_GET[id].'"');
							$statement->execute(array());
							die('<meta http-equiv="refresh" content="0; url=?id='.$_GET[id].'&animate=clear">');
						}
						if($_GET[func]=="del"){
							$statement = $pdo->prepare('DELETE FROM smartshipcloud_login WHERE id="'.$_GET[id].'"');
							$statement->execute(array());
							$statement = $pdo->prepare('DELETE FROM smartshipcloud_tn WHERE id_login="'.$_GET[id].'"');
							$statement->execute(array());
							die('<meta http-equiv="refresh" content="0; url=?id=">');
						}
					echo'
					<input type="button" class="button" value="&#8656; zur&uuml;ck" onclick="window.location.href=\'?id=\'"><br>
					<b style="font-size:1.4em;">'.$ausgabe[nutzername].'</b>
					';
					if($ausgabe[aktiviert]!="1"){
						echo'<b style="color:red;font-size:1.4em;">&#10008;';
					} else {
						echo'<b style="color:green;font-size:1.4em;">&#10003;';
					}
					echo'</b>
					<br><br>
					<input type="Button" class="button" value="Nutzer bearbeiten oder De-/Aktivieren" onclick="klappen(\'nutzerBearbeiten-div\');">
					<div id="nutzerBearbeiten-div" hidden>
						<br>
						';
						if($ausgabe[aktiviert]!="1"){
							echo'<input type="button" class="button" value="Nutzer aktivieren" style="background-color:green;" onclick="window.location.href=\'?id='.$_GET[id].'&func=DeAktivieren&value=1\'">';
						} else {
							echo'<input type="button" class="button" value="Nutzer deaktivieren" style="background-color:red;" onclick="window.location.href=\'?id='.$_GET[id].'&func=DeAktivieren&value=0\'">';
						}
						echo'
						<br><br>
						<form method="post" action="'.$site.'?id='.$_GET[id].'">
							<input type="hidden" name="func" value="editNN">
							<input type="text" name="newnn" maxlength="15" placeholder="neuer Nutzername">
							<input type="submit" class="button" value="speichern">
						</form>
						<form method="post" action="'.$site.'?id='.$_GET[id].'">
							<input type="hidden" name="func" value="editNummern">
							<select name="nummern">
								<option value="50" '; if($ausgabe[nummern]=="50"){echo' selected';} echo'>50 Sendungen pro Monat</option>
								<option value="100" '; if($ausgabe[nummern]=="100"){echo' selected';} echo'>100 Sendungen pro Monat</option>
								<option value="300" '; if($ausgabe[nummern]=="300"){echo' selected';} echo'>300 Sendungen pro Monat</option>
								<option value="0" '; if($ausgabe[nummern]=="0"){echo' selected';} echo'>&infin; Sendungen pro Monat</option>
							</select>
							<input type="submit" class="button" value="speichern">
						</form>
					</div>
					<table align="center" cellpadding="10px"><tr valign="top"><td>
						<table align="center">
							<tr><td>Firma:</td><td><b>'.$ausgabe[firma].'</b></td></tr>
							<tr><td>Name:</td><td><b>'.$ausgabe[vorname].' '.$ausgabe[nachname].'</b></td></tr>
							<tr valign="top"><td>Adresse:</td><td><b>'.$ausgabe[adresse].'</b></td></tr>
							<tr valign="top"><td>E-Mail:</td><td><b>'.$ausgabe[mail].'</b></td></tr>
							<tr valign="top"><td>Telefon:</td><td><b>'.$ausgabe[tel].'</b></td></tr>
							<tr valign="top"><td>Info:</td><td><b>"<i>'.$ausgabe[info].'</i>"</b></td></tr>
							<tr><td><hr></td><td><hr></td></tr>
						</table>
					</td><td>
						<table align="center"><tr><td>
							Verkaufskan&auml;le:<br><b>'.$ausgabe[verkaufskanaele].'</b><br>
							Anzahl ungesicherter Sendungen:<br><b>'.$ausgabe[ungesicherteSendungen].'</b><br>
							Anzahl Senndungen niedrigen Werts per Einschreiben o.&auml;hnl.:<br><b>'.$ausgabe[perEinschreiben].'</b><br>
							Verluste pro Monat bei den ungesicherten Versendungen:<br><b>'.$ausgabe[verluste].'</b><br>
							Auf einschreiben oder &auml;hnliches umgestellt?<br><b>'.$ausgabe[umgestellt].'</b><br>
						</td></tr></table>
					</td></tr></table><br><br>
					
						<script type="text/javascript" src="http://code.jquery.com/jquery-1.7.2.js"></script>
						<script type="text/javascript">
						function monatsuebersichtAendereMonat(){
							var monat = document.getElementById("monatsuebersicht-monat-select").value;
							var jahr =	document.getElementById("monatsuebersicht-jahr-select").value;
							$("#monatsuebersicht-ausgabe-div").load("background.php?func=admin_nutzer-monatsuebersicht&loginid='.$ausgabe[id].'&loginnummern='.$ausgabe[nummern].'&uem="+monat+"&uey="+jahr+"");
						}
						</script>
						<b>Monats&uuml;bersicht</b><br>
						<select id="monatsuebersicht-monat-select" onchange="monatsuebersichtAendereMonat();">
							<option value="01" '; if(date("n")==1){echo'selected';} echo'>Januar</option>
							<option value="02" '; if(date("n")==2){echo'selected';} echo'>Februar</option>
							<option value="03" '; if(date("n")==3){echo'selected';} echo'>M&auml;rz</option>
							<option value="04" '; if(date("n")==4){echo'selected';} echo'>April</option>
							<option value="05" '; if(date("n")==5){echo'selected';} echo'>Mai</option>
							<option value="06" '; if(date("n")==6){echo'selected';} echo'>Juni</option>
							<option value="07" '; if(date("n")==7){echo'selected';} echo'>Juli</option>
							<option value="08" '; if(date("n")==8){echo'selected';} echo'>August</option>
							<option value="09" '; if(date("n")==9){echo'selected';} echo'>September</option>
							<option value="10" '; if(date("n")==10){echo'selected';} echo'>Oktober</option>
							<option value="11" '; if(date("n")==11){echo'selected';} echo'>November</option>
							<option value="12" '; if(date("n")==12){echo'selected';} echo'>Dezember</option>
						</select>
						<select id="monatsuebersicht-jahr-select" onchange="monatsuebersichtAendereMonat();">';
						$i = 2000;
						while ($i <= 2100){
							echo'<option value="'.$i.'" '; if($i==date("Y")){echo' selected';} echo'>'.$i.'</option>';
							$i = $i + 1;
						}
						echo'</select>
						<div id="monatsuebersicht-ausgabe-div" style="width:100%;height:400px;overflow-y:auto;border:solid black 1px;">
							'; if($_GET[uem]!=""){$uebersichtmonat = $_GET[uem];}else{$uebersichtmonat = date("n");}
							if($_GET[uey]!=""){$uebersichtjahr = $_GET[uey];}else{$uebersichtjahr = date("Y");}
							$uebersichtanzahl = 0;
							$sql2 = 'SELECT * FROM smartshipcloud_tn WHERE monat="'.$uebersichtmonat.'-'.$uebersichtjahr.'" AND id_login="'.$ausgabe[id].'" ORDER BY id DESC';
							foreach ($pdo->query($sql2) as $ausgabe2) {
								$uebersichtanzahl = $uebersichtanzahl + 1;
							}
							if($ausgabe[nummern]==0){$nummern='&infin;';}else{$nummern = $ausgabe[nummern];}
							echo''.$uebersichtanzahl.'/'.$nummern.'';
							echo'<table align="center">';
							$sql2 = 'SELECT * FROM smartshipcloud_tn WHERE monat="'.$uebersichtmonat.'-'.$uebersichtjahr.'" AND id_login="'.$ausgabe[id].'" ORDER BY id DESC';
							foreach ($pdo->query($sql2) as $ausgabe2) {
								$ziel = str_replace("x","",$ausgabe2[ziel]);
								$ziel = str_replace("X","",$ziel);
								$ziel = str_replace("<br>","",$ziel);
								$ziel = str_replace(".","",$ziel);
								$ziel = str_replace("-","",$ziel);
								echo '<tr><td>'.$ausgabe2[datum].'</td><td>--</td><td>'.$ausgabe2[nummer].'</td><td>--</td><td>'.$ziel.'</td></tr>';
							}
							echo'</table>';
							echo'
						</div>
					
					<br><br>
					<table align="center"><tr><td>
						<input type="button" class="button" style="background-color:red;" value="Kunde l&ouml;schen!" onclick="klappen(\'nutzerLoeschen-div\');">
					</td></tr><tr><td>
						<div id="nutzerLoeschen-div" style="position:absolute;" align="center" hidden>
							<input type="button" class="button" style="background-color:red;" value="Nichts tun." onclick="klappen(\'nutzerLoeschen-div\');">
							<input type="button" class="button" style="background-color:red;" value="Kunde endg&uuml;ltig l&ouml;schen!" onclick="window.location.href=\'?func=del&id='.$_GET[id].'\'">
						</div>
					</td></tr></table>
					<br><br><br>
				</div>
				</div>
			';
		}
	}
}
include("style2.php"); ?>